Bug 59636 - XDVI configuration files
XDVI configuration files
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-11 11:27 EST by Matthew Saltzman
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-13 03:46:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2002-02-11 11:27:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
(1) /usr/share/texmf/xdvi/XDvi is a config file, and should be treated as such
by RPM.

(2) In that file is a listing for resource "XDvi*wwwBrowser: netscape".  If
netscape is deprectated, this should probably be changed to mozilla.

(3) Of course, we US chauvinists would prefer the XDvi*paper resource to be us
instead of a4.


Version-Release number of selected component (if applicable):
tetex-xdvi-1.0.7-38.2

How reproducible:
Always

Steps to Reproduce:
1. Modify settings in /usr/share/texmf/xdvi/XDvi
2. Upgrade tetex-xdvi RPM.
3. 
	

Actual Results:  Modified XDvi file is overwritten by RPM install.

Expected Results:  Either modified file should have been saved as XDvi.rpmsave
or new file should have been installed as XDvi.rpmnew.

Additional info:
Comment 1 Tim Waugh 2002-02-11 11:41:23 EST
Thanks for bringing this to our attention.  XDvi _ought_ to already be marked
%config.  I'll check it out.  For the other things:

- Yes, mozilla should be used instead of netscape.

- The paper size can be set to US letter using 'texconfig xdvi us'.
Comment 2 Matthew Saltzman 2002-02-11 11:59:19 EST
Thanks.  I just noticed that /usr/share/texmf/dvips/config/config.ps appears to
have the same problem.  Perhaps other files in that directory as well?
Comment 3 Matthew Saltzman 2002-02-11 12:19:03 EST
Thanks.  I just noticed that /usr/share/texmf/dvips/config/config.ps appears to
have the same problem.  Perhaps other files in that directory as well?
Comment 4 Tim Waugh 2002-02-13 09:12:03 EST
Should be fixed in tetex-1.0.7-40.
Comment 5 Rex Dieter 2002-07-10 11:04:21 EDT
IMO, the browser resource (in XDvi) ought to be changed htmlview, instead of 
any one (hardcoded) browser.
Comment 6 Rex Dieter 2002-07-10 11:14:42 EDT
Regarding 'us' vs 'a4' papersize, you may also want to set dvips's default:    
texconfig dvips paper letterSize    
   
as well as modify pdftex's default, modifying   
/usr/share/texmf/pdftex/config/pdftex.cfg to have:   
page_width 8.5truein  
page_height 11truein  
You can use perl to do this for you: 
perl -pi -e 's@^page_width .*@page_width 8.5truein@' /.../pdftex.cfg 
perl -pi -e 's@^page_height .*@page_height 11truein@' /.../pdftex.cfg 
I'm not sure if you have to regerate any format files or the like after making 
this change...
Comment 7 Nicolas Mailhot 2005-01-28 10:08:24 EST
> (3) Of course, we US chauvinists would prefer the XDvi*paper
resource > to be us instead of a4.

Lucky you, you only have one papersize to change, the US chauvinists
have already taken control of all the other print tools.

(now can we agree that ignoring LC_PAPER for a build-time value is a
bug instead of fighting for papersize defaults?)
Comment 8 Rex Dieter 2005-02-18 13:32:41 EST
Oh, I won't argue that this papersize default business is mess...
that's for sure.

For posterity, I've narrowed-down setting paper defaults to 4
quick-n-dirty 'texconfig' commands (though I'm sure I've probably
missed something)

texconfig xdvi us
texconfig dvips paper letterSize
texconfig dvipdf paper letter
texconfig pdftex paper letterSize
Comment 9 Rex Dieter 2005-02-18 14:15:49 EST
typo: replace
texconfig dvipdf ...
with

texconfig dvipdfm paper letter


Note You need to log in before you can comment on or make changes to this bug.